Bug 54424 - rfe: display options for rp3 applet
rfe: display options for rp3 applet
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rp3 (Show other bugs)
7.1
i586 Linux
low Severity medium
: ---
: ---
Assigned To: alex.barnes
Aaron Brown
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-07 12:09 EDT by alex.barnes
Modified: 2007-03-26 23:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 16:08:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for display properties (files: utils/gtknetmon.c, rp3/properties.c) (9.36 KB, patch)
2001-10-22 00:12 EDT, alex.barnes
no flags Details | Diff
Oops! Forgot a ChangeLog entry for the last attachment. Here it is. (474 bytes, patch)
2001-10-22 00:37 EDT, alex.barnes
no flags Details | Diff

  None (edit)
Description alex.barnes 2001-10-07 12:09:06 EDT
Description of Problem:

In Ximian-Gnome, if I add RH PPP Dialer to a panel (Right-click on Panel,
Panel -> Add to Panel -> Applet -> Network -> RH PPP Dialer),
I get this big, ugly applet on my panel.

It would be really nice to be able to customize the look and feel of it.

UI Mock-up ("X" is checkbox, "o" is radio button):

Display
-------

X Show Modem Lights
X Show Uptime
X Show Speed
  o Bytes/second
  o bits/second

I'd be interested in making the changes myself if someone would give me
some idea of how feasible this is and some pointers on which files would
need altering...


Version-Release number of selected component (if applicable):

rp3-1.1.10-1
Comment 1 alex.barnes 2001-10-15 23:52:41 EDT
I've found the code for this (utils/gtknetmon.c) and I'm going to try updating
it so that the various parts of the applet (Tx/Rx lights, Tx/Rx graph, etc) can
be hidden via a tab in the RP3 Properties dialog.

I'll send in a patch when I'm done (or alternatively, I'll close it after days
and days of sheer frustration :-) )

Comment 2 alex.barnes 2001-10-22 00:12:26 EDT
Created attachment 34543 [details]
Patch for display properties (files: utils/gtknetmon.c, rp3/properties.c)
Comment 3 alex.barnes 2001-10-22 00:25:02 EDT
I have attached a patch diffed off the rp3-1.1.10 source.  If there is newer
available, I'd be more than willing to redo the patch against that.  Anyway, in
the patch file, *.c.orig is the original and *.c is my updated version.

Essentially, the patch provides a display tab in the properties dialog, which
allows you to choose which of the modem lights, throughput graph and speed &
time/cost info to display.

I updated the compute_rects_flat_layout(...) function, therefore the settings
will only be used when the applet is on a horizontal panel of size Small, Tiny
or Ultra Tiny (less than 48 pixels high).

I noticed that the applet on an Ultra Tiny panel does not look very good, so
I'll submit another patch (independent of this first one), later this week once
I've worked out what to do with it.
Comment 4 alex.barnes 2001-10-22 00:37:27 EDT
Created attachment 34544 [details]
Oops!  Forgot a ChangeLog entry for the last attachment.  Here it is.
Comment 5 Bill Nottingham 2006-08-04 16:08:24 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.